<?php	
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("../clases/clsReq.php");
  include("Funciones.php");
  include("stilos/config.inc.php");
  include("funcion/funciones.php");
  session_start();
  session_register("EvaCotiza"); 
  session_register("NumEmpresa"); 
  session_register("EmpCont"); 
  $objP=new clsReq;
  if($borrar==1){
  $EvaCotiza = array(); 
  $EmpresaCoti = array();
  $EmpCont = "";
  $numcota = $objP->NCoti() + 1;
  }
  if($borrar==2){
  $EmpresaCoti = array();
  $EmpCont = "";
  }
  if($cod=="x"){
  	if($serie==1){
	  	$resultado=$objPer->getNumParametro('NUM_ORD_PED_I');	  
	}else{
		$resultado=$objPer->getNumParametro('NUM_ORD_PED');
	}
		$filas=$objPer->NextRow($resultado);
		$num_req=getNumCeros($filas['valor']);
  }
  if (isset($EvaCotiza)){$NumCotizaciones=count($EvaCotiza);}
  //echo $grabar;
  if($grabar==1)
  {
  $objP->UpdatePedidoCotiSel($cod_rd);
  }
?>
<? //include "sc_lib_ventana.php"?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><MMString:LoadString id="insertbar/formsHidden" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">

<link href="Estilos.css" rel="stylesheet" type="text/css">

<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">
<SCRIPT language=JavaScript src="js/calendario.js"></SCRIPT>
<script language="JavaScript"> 
<!--
//sURL,x,y
function Abrir_Ventanapopup1(sURL,x,y) { 
/*var especificaciones="top=0, left=0, toolbar=no,location=no, status=yes,menubar=no,scrollbars=no, resizable=no, width=1,height=1" 
var titulo="Titulo"
window.open(el_url,titulo,especificaciones);*/ 

if (!window.focus) return;
			var par;
			par = "width=" +x + ",height="+y+","
			par = par + "dependent=no,scrollbars=yes,resizable=no"
			par = par + "menubar=no,toolbar=no,status=yes"
			var ventana = window.open(sURL,"Ver",par)
			ventana.focus();
}
//--> 
</script>
<? 
$envia="fondo.php";
$envia1="cvp_personal.php";
$enviao="enviar.php?cod_man=$cod_man&dest_ruta=$dest_ruta&orig_ruta=$orig_ruta";
?>
<script>
function volverB(form)
{
location.reload('<? echo $envia1 ?>');
}
function volver(form)
{
location.reload('<? echo $envia ?>');
}
function volver1(form)
{
location.reload('<? echo $enviao ?>');
}
var vent = null;
function foco() {
   if (vent != null)
       vent.focus();
}
function cerrar() {
   vent = null;
}
function AcualizaEmp(){
   location.reload();
    }
</script>
<script language="JavaScript">
function selecciona(form)
{
 if(form.botones1.value)
  {
   form.zonasi.disabled=true;
  }
}

function cierra(form)
{
location.reload('../ventana.php');
}
function activainter(form)
{
   form.pais2.disabled=false;
   form.ciudad2.disabled=false;
   form.nacionalidad2.disabled=false;
   form.btn_ver2.disabled=false;
   form.btn_nuevo2.disabled=false;
   
   form.pais.value="";
   form.pais.disabled=true;
   form.ciudad.value="";
   form.ciudad.disabled=true;
   form.nacionalidad.value="";
   form.nacionalidad.disabled=true;
   form.idciudad1.value="";
   form.btn_ver1.disabled=true;
   form.btn_nuevo1.disabled=true;
}
</script>
<SCRIPT LANGUAGE=javascript>
function fn(form,field)
{
var next=0, found=false
var f=form
if(event.keyCode!=13) return;
for(var i=0;i<f.length;i++) {
if(field.name==f.item(i).name){
next=i+1;
found=true
break;
}
}
while(found){
if( f.item(next).disabled==false && f.item(next).type!='hidden'){
f.item(next).focus();
break;
}
else{
if(next<f.length-1)
next=next+1;
else
break;
}
}
}
</SCRIPT>
<script>
function EnviarCotizacion()
{
		var numcota = window.form1.numcota.value;
		var fechaCoti = window.form1.fechaCoti.value;
		var cod_rd = window.form1.cod_rd.value;
		var nrequicion = window.form1.nrequicion.value;
		var cantpedi = window.form1.cantpedi.value;
		var unidad = window.form1.unidad.value;
		var fechapedi = window.form1.fechapedi.value;
		var pedidodeta = window.form1.cod_rd.value;
		var mopcion = window.form1.mopcion.value;
		var n_requi = window.form1.n_requi.value; 
		var check1 = window.form1.check1.value;
		var des = window.form1.des.value;
		if(form1.nrequicion.value==""){
		alert("No Eligio Un Pedido");
		form1.nrequ.focus();
		return;		
	    }
		
		if(form1.pedidodeta.value==""){
		alert("No Eligio Un Pedido");
		form1.pedidodeta.focus();
		return;		
	    }
		/*
		if(form1.appat_per.value==""){
		alert("Debe Ingresar el apellido paterno del personal");
		form1.appat_per.focus;
		return;		
	    }
		if(form1.apmat_per.value==""){
		alert("Debe Ingresar el apellido materno del personal");
		form1.apmat_per.focus;
		return;		
	    }
		if(form1.fnac_per.value==""){
		alert("Debe Ingresar la fecha de nacimiento del personal");
		form1.fnac_per.focus;
		return;		
	    }
		if(form1.cod_emp.value==""){
		alert("Debe Ingresar la empresa del personal");
		form1.cod_emp.focus;
		return;		
	    }
		if(form1.cod_pais.value==""){
		alert("Debe Ingresar el pais del personal");
		form1.cod_pais.focus;
		return;		
	    }
		if(form1.fono_per.value==""){
		alert("Debe Ingresar el telefono del personal");
		form1.fono_per.focus;
		return;		
	    }
		if(form1.cargo_per.value==""){
		alert("Debe Ingresar el cargo del personal");
		form1.cargo_per.focus;
		return;		
	    }
		if(form1.dociden_per.value==""){
		alert("Debe Ingresar el doc de identidad del personal");
		form1.dociden_per.focus;
		return;		
	    }*/
		if(isNaN(form1.mopcion.value) || form1.mopcion.value=="" ){
			alert("Debe Ingresar la Mejor Opcion O Escribio un Valor No Numerico!!");
			form1.mopcion.focus();
		return;		
	    }
		//var ValorOpcion = parseInt(form1.mopcion.value);
		//var ValorEmpresa = parseInt(form1.numEmpresa.value);
		if(form1.BotonACoti.value)
		{
			window.location="procesos/cvp_Cotizaciones_agregarItem.php?fechaCoti="+fechaCoti+"&cod_rd="+cod_rd+"&numcota="+numcota+"&nrequicion="+nrequicion+"&cantpedi="+cantpedi+"&unidad="+unidad+"&fechapedi="+fechapedi+"&pedidodeta="+pedidodeta+"&mopcion="+mopcion+"&n_requi="+n_requi+"&check1="+check1+"&des="+des;
		}
}
</script>
<script language="javascript" type="text/javascript">
   function BuscarPedido(){
         var numcota = document.form1.numcota.value;
		 var fechaCoti = document.form1.fechaCoti.value;
		 var n_requi = document.form1.n_requi.value;
		 var check1 = document.form1.check1.value;
		 var des = document.form1.des.value;
         window.location = "cvp_consultar_requisicion.php?fechaCoti="+fechaCoti+"&numcota="+numcota+"&n_requi="+n_requi+"&check1="+check1+"&des="+des;
                          }
function Actualiza(){
 window.location ="cvp_evalua_coti.php?cerrar=0";
          }
</script>
<script type="text/javascript" language="javascript">
function EnviarGrabar(){
				if (document.form1.fechaCoti.value==""){alert('No Escribo la fecha y es Obligatorio'); document.form1.fechaCoti.focus(); return;}
				if (document.form1.NumCotizaciones.value==0){alert('No Agrego Ningun Item a la Lista de Cotizaciones'); document.form1.NumCotizaciones.focus(); return;}
				if (document.form1.aprobadopor.value==""){alert('No Agrego Ningun Item a la Lista de Cotizaciones'); document.form1.aprobadopor.focus(); return;}
				if (document.form1.preparadopor.value==""){alert('No Agrego Ningun Item a la Lista de Cotizaciones'); document.form1.preparadopor.focus(); return;}
				form1.submit();
	}
function Mensaje(m){
               if (m==1){alert('Se Ingreso el Listado de Evaluacion Correcstamente');}
               }
</script>
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<style type="text/css">
<!--
.Estilo5 {color: #FFFFFF; font-size: 10px; }
.Estilo6 {color: #FFFFFF}
-->
</style>
</head>
<?php if($men==1){?>
<body bgcolor="<?=$c_fondo['fondo']?>" onfocus="foco()" background="../imagenes/fondo.jpg" onLoad="Mensaje(1);">
<?php }else{?>
<body bgcolor="<?=$c_fondo['fondo']?>" onfocus="foco()" background="../imagenes/fondo.jpg">
<?php }?>
<form name="form1" method="post" action="procesos/cvp_grabarcotizaciones.php">
  <table width="890" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="25"><img src="../estilo_tabla/parte_sup_izq.gif" width="25" height="25"></td>
      <td width="840" background="../estilo_tabla/parte_sup_cen.gif" valign="bottom">
        <div align="left" class="lblTitulo" >Evaluaci&oacute;n de Cotizaciones </div></td>
      <td width="25"><img src="../estilo_tabla/parte_sup_der.gif" width="25" height="25" border="0" usemap="#MapMapMap"></td>
    </tr>
    <tr>
      <td  background="../estilo_tabla/parte_med_izq.gif">&nbsp;</td>
      <td background="../estilo_tabla/parte_med_cen.gif"><div align="center">
          <table width="836" border="0" cellspacing="0" cellpadding="0">
            <tr class="lblCampo">
              <td colspan="8">&nbsp; </td>
            </tr>
            <tr class="lblCampo">
              <td width="184"><div align="right">N&ordm; de Formato</div></td>
              <td width="5"><div align="left">:</div></td>
              <td width="212"><div align="left">
				  <input name="numcota" type="text" id="cod_man2" onkeyup=fn(this.form,this) value="<? echo $numcota?>" size="20" readonly>
              </div></td>
              <td width="3"><div align="right"></div></td>
              <td width="3"><div align="left"></div></td>
              <td width="136"><div align="right">Fecha de Evaluaci&oacute;n</div></td>
              <td colspan="2"><input name="fechaCoti" type="text" id="fechaCoti" onKeyUp=fn(this.form,this) value="<? echo $fechaCoti?>" size="12" maxlength="10" title="FORMATO dd/mm/AAAA">
              <a onMouseOver="window.status='Calendario';return true;" onMouseOut="window.status='';return true;"  href="javascript:show_calendar('form1.fechaCoti');"><img src="../imagenes/calendar.jpg" alt="Calendario" width="16" height="15" border="0"> </a></td>
            </tr>
            <tr class="lblCampo">
              <td colspan="8"><div align="right"><hr></div>                </td>
            </tr>
            <tr class="lblCampo">
              <td><div align="right">Ingresar Pedido Pendiente </div></td>
              <td>&nbsp;</td>
              <td>
                <div align="left">
                  <input type="button" name="Submit32" value="Ingresar Pedido" style="<?=$stylo['st2']?>" class="botira" onClick="BuscarPedido();">
                </div></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td><div align="right">
                <input type="hidden" size="3" name="cod_rd" value="<?=$cod_rd?>" readonly>
                </div></td>
              <td colspan="2"><input type="hidden" name="NumCotizaciones" value="<?=$NumCotizaciones?>">
              <input name="n_requi" type="hidden" id="n_requi" size="3" value="<? echo $n_requi?>" readonly>
              <input name="check1" type="hidden" size="3" id="check1" value="<? echo $check1 ?>" readonly>
              <input name="des" type="hidden" id="des" value="<? echo $des?>"></td>
            </tr>
			<tr class="lblCampo">
              <td><div align="right">Numero de Requisi&oacute;n</div></td>
              <td>&nbsp;</td>
              <td><input name="nrequicion" type="text" id="solicitante22" value="<?=$nrequicion?>" size="40"></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td colspan="3" rowspan="7"><iframe name="empresas" src="cvp_empresa_cotizada.php" width="400"></iframe></td>
            </tr>
            <tr class="lblCampo">
              <td><div align="right">Pedido</div></td>
              <td>&nbsp;</td>
              <td><input name="pedidodeta" type="text" id="pedidodeta" value="<?=$pedidodeta?>" size="40"></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr class="lblCampo">
              <td><div align="right">Cantidad Pedida </div></td>
              <td>&nbsp;</td>
              <td><input name="cantpedi" type="text" id="cantpedi" value="<?=$cantpedi?>" size="40"></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr class="lblCampo">
              <td><div align="right">Fecha de  Pedida </div></td>
              <td>&nbsp;</td>
              <td><input name="fechapedi" type="text" id="fechapedi" value="<?=$fechapedi?>" size="40"></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr class="lblCampo">
              <td><div align="right">Unidad</div></td>
              <td>&nbsp;</td>
              <td><input name="unidad" type="text" id="unidad" value="<?=$unidad?>" size="40"></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr class="lblCampo">
              <td><div align="right">Solicitante</div></td>
              <td>&nbsp;</td>
              <td><input name="solicintante" type="text" id="solicintante" value="<?=$solicintante?>" size="40"></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr class="lblCampo">
              <td><div align="right">Lugar de Pedido </div></td>
              <td>&nbsp;</td>
              <td><input name="lugarpedido" type="text" id="lugarpedido" value="<?=$lugarpedido?>" size="40"></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
			 <tr class="lblCampo">
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td colspan="2"></td>
            </tr>
             <tr class="lblCampo">
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>MEJOR OPCION </td>
               <td width="232"><input name="mopcion" type="text" id="nrequ" size="5">               </td>
               <td width="61">&nbsp;</td>
             </tr>
             <tr class="lblCampo">
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>&nbsp;</td>
               <td>&nbsp;</td>
             </tr>
             <tr class="lblCampo">
               <td colspan="8"><div align="center">
                 <input type="button" name="BotonACoti" value="Agregar al Formato de Evaluacion de Cotizaciones" style="<?=$stylo['st2']?>" class="botira" onClick="EnviarCotizacion();">
               </div></td>
             </tr>
            <tr class="lblCampo">
              <td colspan="8"><hr></td>
            </tr>
            <tr class="lblCampo">
              <td colspan="8"><table width="587" border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td><div align="center">
                      <table width="837" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="<?=$bordetabla?>" bgcolor="<?=$c_fondo['fondo tabla']?>" style="<?=$stylo['tabla']?>">
                        <tr valign="top" bordercolor="#00CC00" bgcolor="#2F8523">
                          <td width="19">
                            <div align="left" class="Estilo3 Estilo4 Estilo6">Item</div></td>
                          <td width="41" bgcolor="#2F8523"><div align="left" class="Estilo5">
                              <div align="center">N&ordm; Req.</div>
                          </div></td>
                          <td width="36" bgcolor="#2F8523"><span class="Estilo6">Cantidad</span></td>
                          <td width="32" bgcolor="#2F8523"><div align="center"><span class="Estilo6">Unid</span></div></td>
                          <td width="100" bgcolor="#2F8523"><span class="Estilo6">Fecha de Pedido </span></td>
                          <td width="248" bgcolor="#2F8523"><span class="Estilo6">Descripcion del Aticulo </span></td>
                          <td width="236" bgcolor="#2F8523"><div align="center" class="Estilo3 Estilo4 Estilo6">Empresas</div>                            </td>
                          <td width="68" class="Estilo3 Estilo4"><div align="center" class="Estilo6">Mejor Op </div></td>
                          <td width="37" class="Estilo3 Estilo4"><div align="center" class="Estilo6">Quitar</div></td>
                        </tr>
						<?php if(isset($EvaCotiza)){
						                while(list($clave,$valor)=each($EvaCotiza)){
						
						     ?>
                         <tr valign="top">
                          <td>
                            <div align="center"><?=$clave+1?>  </div></td>
                          <td><div align="left"><?=$valor[1]?></div></td>
                          <td><?=$valor[2]?></td>
                          <td><?=$valor[3]?></td>
                          <td><?=$valor[4]?></td>
                          <td><?=$valor[5]?></td>
                       	  <td><?=$valor[7]?></td>
                         <td align="center" valign="middle"><?=$valor[6]?></td>
                          <td align="center" valign="middle">
						  <a href="procesos/cvp_borrarItem_EvaluacCot.php?item=<? echo $clave?>&NumCotizaciones=<? echo $NumCotizaciones?>&n_requi=<? echo $n_requi?>&check1=<? echo $check1?>&des=<? echo $des?>&numcota=<? echo $numcota?>">
						  <img src="../imagenes/btn_eliminar.gif" width="15" height="15" border="0" >H</a></td>
                         </tr>
						 <?php }}?>
                      </table>
                  </div></td>
                </tr>
                <tr>
                  <td>&nbsp;                    </td>
                </tr>
              </table></td>
            </tr>
            <tr class="lblCampo">
              <td colspan="8">&nbsp;</td>
            </tr>
            <tr class="lblCampo">
              <td colspan="8">&nbsp;</td>
            </tr>
            <tr class="lblCampo">
              <td colspan="8">&nbsp;</td>
            </tr>
            <tr class="lblCampo">
              <td colspan="8">&nbsp;</td>
            </tr>
            <tr class="lblCampo">
              <td colspan="8">
</td>
            </tr>
          </table>
      </div></td>
      <td background="../estilo_tabla/parte_med_der.gif">&nbsp;</td>
    </tr>
    <tr>
      <td  background="../estilo_tabla/parte_med_izq.gif">&nbsp;</td>
      <td background="../estilo_tabla/parte_med_cen.gif">
        <div align="left">
          <table width="837" border="0" cellspacing="0" cellpadding="0">
            <tr class="lblCampo" valign="top">
              <td width="689">
                <div align="left">
                  <table width="686" border="0" cellspacing="0" cellpadding="0">
                    <tr valign="top">
                      <td><div align="right">Preparado Por </div></td>
                      <td>&nbsp;</td>
                      <td><div align="left">
                        <input name="preparadopor" type="text" id="solicitante" size="40">
                      </div></td>
                    </tr>
                    <tr valign="top">
                      <td><div align="right">Aceptado Por </div></td>
                      <td>&nbsp;</td>
                      <td><div align="left">
                        <input name="aprobadopor" type="text" id="lugar" size="40">
                      </div></td>
                    </tr>
                    <tr valign="top">
                      <td width="178"><div align="right">Comentarios Adicionales </div></td>
                      <td width="10">&nbsp;</td>
                      <td width="503"><textarea name="comentario" cols="80" id="comentario"></textarea></td>
                    </tr>
                    <tr valign="top">
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    </tr>
                  </table>
              </div></td>
              <td width="148"><div align="left">
              </div></td>
            </tr>
          </table>
      </div></td>
      <td background="../estilo_tabla/parte_med_der.gif">&nbsp;</td>
    </tr>
    <tr>
      <td  background="../estilo_tabla/parte_med_izq.gif">&nbsp;</td>
      <td background="../estilo_tabla/parte_med_cen.gif"><div align="center">
        <table width="506" height="15" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="172"><div align="center">
              <input type="button" name="Submit2" value="Grabar" style="<?=$stylo['st2']?>" class="botira" onClick="EnviarGrabar()">
</div></td>
            <td width="164"><input name="serie" type="hidden" size="5" id="serie" value="<? echo $serie?>"></td>
            <td width="170"><div align="center">
              <input type="button" name="Submit3" value="Cancelar" style="<?=$stylo['st2']?>" class="botira" onClick="volver(this.form);">
            </div></td>
          </tr>
        </table>
      </div></td>
      <td background="../estilo_tabla/parte_med_der.gif">&nbsp;</td>
    </tr>
    <tr>
      <td><img src="../estilo_tabla/parte_inf_izq.gif" width="25" height="20"></td>
      <td background="../estilo_tabla/parte_inf_cen.gif">&nbsp;</td>
      <td><img src="../estilo_tabla/parte_inf_der.gif" width="25" height="20"></td>
    </tr>
  </table>
  <map name="MapMapMap">
    <area shape="rect" coords="3,4,23,21" href="fondo.php">
  </map>
</form>
<div align="right">
  <map name="MapMap">
    <area shape="rect" coords="3,4,23,21" href="fondo.php">
  </map>
  

  
</div>
</body>
</html>

